<?php

namespace App\Models;

class SlaModel
{
  public function __construct(
    private int $id,
    private string $namaSla,
    private int $waktuResponJam,
    private int $waktuPenyelesaianJam,
    private ?string $deskripsi,
    private string $createdAt,
    private ?string $updatedAt,
  ) {}

  // Getter
  public function getId(): int
  {
    return $this->id;
  }

  public function getNamaSla(): string
  {
    return $this->namaSla;
  }

  public function getWaktuResponJam(): int
  {
    return $this->waktuResponJam;
  }

  public function getWaktuPenyelesaianJam(): int
  {
    return $this->waktuPenyelesaianJam;
  }

  public function getDeskripsi(): ?string
  {
    return $this->deskripsi;
  }

  public function getCreatedAt(): string
  {
    return $this->createdAt;
  }

  public function getUpdatedAt(): ?string
  {
    return $this->updatedAt;
  }
}
